Request

Response

    Templates
    GET

    containers/{containerId}/templates/{id}

    Retrieves information about a specific BIM 360 Field Management template, including details about the items, sections, and attachments in the template. To get information about all the templates in the project, see GET templates.

    New! Autodesk Construction Cloud platform (ACC). Note that this endpoint is not compatible with ACC projects. For more information about the Autodesk Construction Cloud APIs, see the Autodesk Construction Cloud documentation.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/bim360/checklists/v1/containers/{containerId}/templates/{id}
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    containerId
    string
    Each project is assigned a container that stores all the checklists for the project. To find the ID, see the Retrieve a Container ID tutorial.
    id
    string
    The ID of the checklist.

    Request

    Query String Parameters

    fields[templates]
    string
    Specify which attributes you want to appear in the response. Separate multiple values with commas. For example, fields[templates] = createdAt, templateType. For more details, see JSON API Sparse Fieldsets.

    Response

    HTTP Status Code Summary

    200
    OK
    Success
    400
    Bad Request
    The request could not be understood by the server due to malformed syntax or missing request header
    403
    Forbidden
    The request has not been applied because it lacks valid authentication credentials for the target resource
    404
    Not Found
    The resource cannot be found
    410
    Forbidden
    500
    Internal Server Error
    An unexpected error occurred on the server

    Response

    Body Structure (200)

    Expand all
    jsonapi
    object
    The JSON API object.
    version
    string
    The version of JSON API; will always be 1.0.
    meta
    object
    The meta object.
    links
    object
    The links object.
    self
    string
    A link to the object itself.
    related
    string
    A link to the related object.
    data
    object
    The data object.
    id
    string
    The ID of the template.
    type
    string
    The type of object; will always be templates.
    attributes
    object
    The attributes object.
    title
    string
    The name of the template.
    trades
    array: object
    Not relevant
    versionId
    number
    The version ID of the template. Every time you update a template it updates the version ID.
    createdBy
    string
    The Autodesk ID of the user who created the template.
    updatedAt
    datetime: ISO 8601
    The date and time that the resource was last updated, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    createdAt
    datetime: ISO 8601
    The date and time that the resource was created, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    instructions
    string
    The description of the template.
    templateType
    object
    Information about the type of template. Possible values: 1 - Quality 6 - Punch List 11 - Safety 15 - Commissioning
    id
    number
    The ID of the type of template. Possible values: 1 (Quality), 6 (Punch List), 11 (Safety), 15 (Commissioning).
    name
    string
    The name of the type of template. Possible values: Quality, Punch List, Safety, Commissioning.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    signatures
    array: object
    Not relevant
    index
    int
    Not relevant
    isRequired
    boolean
    Not relevant
    requiredBy
    string
    Not relevant
    sections
    array: object
    A list of sections in the template.
    id
    number
    The ID of the section.
    title
    string
    The name of the section.
    number
    number
    The section number according to the order the section was created in the template. The number is displayed in the format that is defined in included.sections.attributes.sectionNumbering.id.

    To find the section number according to the order it appears in the UI, see included.sections.attributes.index.

    index
    number
    The number of the section according to the order that it appears in the UI.
    instructions
    string
    The description of the section.
    sectionNumbering
    object
    Details about the numbering system.
    id
    int
    The ID of the numbering system. Possible values: 1 (Numeric), 2 (Alphabetical), 3 (Numeric-Hierarchy).
    name
    string
    The name of the numbering system. Possible values: Numeric, Alphabetical, Numeric-Hierarchy.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    itemsNumbering
    object
    Details about the numbering system.
    id
    int
    The ID of the numbering system. Possible values: 1 (Numeric), 2 (Alphabetical), 3 (Numeric-Hierarchy).
    name
    string
    The name of the numbering system. Possible values: Numeric, Alphabetical, Numeric-Hierarchy.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    items
    array: object
    A list of items in each section.
    id
    number
    The ID of the item.
    itemId
    number
    identifier for existing item
    itemVersionId
    number
    identifier for item version. if not given the lastest version is selected
    number
    number
    ‘The item number according to the order the item was created in the template. The number is displayed in the format that is defined in included.items.attributes.sectionNumbering.id.
    index
    number
    The order the items appear in the UI.
    isRequired
    boolean
    • If true, it is required to answer this question.
    • If false, it is optional to answer this question.
    title
    string
    The title of the item.
    instructions
    array: object
    The description of the item.
    id
    number
    The ID of the description of the item.
    data
    string
    The description of the item.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    type
    object
    Information about the type of description.
    id
    number
    The ID of the description; will always be 1.
    name
    string
    The name of the description; will always be text.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    responseType
    object
    Information about the type of response.
    id
    number
    The ID of the item type. Possible values: 1 - Yes / No 2 - Plus / Minus 3 - True / False 4 - Pass / Fail 5 - Text 6 - Single List (One Choice) 7 - Multiple List (Multiple Choice) 8 - Numeric

    For more information about response types see the Help documentation.

    name
    string
    The name of the response type. Possible values:
    yes/no, plus/minus, true/false, pass/fail, text, list_single (One Choice), list_multiple (Multiple Choice), numeric.
    metadata
    object
    Information about the responses.

    Note that this is only relevant for Multiple Choice and Checkboxes response types.

    listResponse
    object
    The list response object.
    id
    string: UUID
    The ID of the type of answer.
    possibleAnswers
    array: object
    A list of possible answers.
    id
    string: UUID
    The ID of the answer.
    index
    number
    The order the answers appear in the UI.
    value
    string
    The text of the answer that appears in the UI.
    conformanceType
    number
    Indicates whether the answer is conforming. Possible values: 1 - conforming - indicates that the answer is an acceptible response to the question.

    2 - non-conforming - indicates that the answer is not an acceptible response to the question.

    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    supplementalAttachments
    array: object
    Not relevant
    id
    string: UUID
    Not relevant
    lineageUrn
    string
    Not relevant
    permittedAttributes
    array: string
    Not relevant
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    allowSectionAssignee
    boolean
    true if you can add a section assignee to the template. false if you cannot add a section assignee to the template.
    permittedActions
    array: string
    List of Actions that the user is permitted to do on the resource.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    relationships
    object
    The relationships object.
    container
    object
    The related container object.
    links
    object
    The links object.
    self
    string
    A link to the object itself.
    related
    string
    A link to the related object.
    meta
    object
    The meta object.
    data
    object
    The data object.
    type
    string
    The type of object; will always be containers.
    id
    string
    The ID of the object.
    links
    object
    The links object.
    self
    string
    A link to the object itself.
    related
    string
    A link to the related object.
    meta
    object
    The meta object.
    totalItems
    number
    The number of items in the template.
    totalSections
    number
    The number of sections in the template.
    totalInstances
    number
    The number of checklists created from the template.

    Example

    Success

    Request

    curl -v 'https://developer.api.autodesk.com/bim360/checklists/v1/containers/efca79bd-3865-4e68-88d5-30d982175c7d/templates/11453' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "jsonapi": {
        "version": "1.0"
      },
      "meta": {},
      "links": {
        "self": "",
        "related": ""
      },
      "data": {
        "id": "11453",
        "type": "templates",
        "attributes": {
          "title": "Painting Template",
          "trades": [],
          "versionId": "1",
          "createdBy": "1Qaz2wsX",
          "updatedAt": "2018-05-23T08:18:55.098Z",
          "createdAt": "2018-05-23T08:18:55.098Z",
          "instructions": "detailed description",
          "templateType": {
            "id": 1,
            "name": "Quality",
            "permittedAttributes": [
              "id"
            ]
          },
          "signatures": [
            {
              "index": 0,
              "isRequired": true,
              "requiredBy": "IKEA"
            }
          ],
          "sections": [
            {
              "id": 1,
              "title": "Inspection",
              "number": 1,
              "index": 1,
              "instructions": "A detailed description.",
              "sectionNumbering": {
                "id": 1,
                "name": "Numeric",
                "permittedAttributes": [
                  "id"
                ]
              },
              "itemsNumbering": {
                "id": 1,
                "name": "Numeric",
                "permittedAttributes": [
                  "id"
                ]
              },
              "items": [
                {
                  "id": 1,
                  "itemId": 18,
                  "itemVersionId": 2,
                  "number": 1,
                  "index": 1,
                  "isRequired": true,
                  "title": "Painting Technique",
                  "instructions": [
                    {
                      "id": 11,
                      "data": "A description of an item.",
                      "permittedAttributes": [
                        "data",
                        "type"
                      ],
                      "type": {
                        "id": 1,
                        "name": "text",
                        "permittedAttributes": [
                          "id"
                        ]
                      }
                    }
                  ],
                  "responseType": {
                    "id": 7,
                    "name": "list_multiple",
                    "metadata": {
                      "listResponse": {
                        "id": "d17c647b-6555-4641-bf8c-35ee07cfa08d",
                        "possibleAnswers": [
                          {
                            "id": "b092a299-906c-489f-bd06-f53c898bae7c",
                            "index": 0,
                            "value": "Roller",
                            "conformanceType": 1
                          }
                        ]
                      }
                    },
                    "permittedAttributes": [
                      "id"
                    ]
                  },
                  "supplementalAttachments": [
                    {
                      "id": "89d298ef-1a51-4fe8-8592-30d1d56c2704",
                      "lineageUrn": "urn:adsk.wipqa:dm.lineage:kWOX5QRIaeStefBEuQNf3GBw",
                      "permittedAttributes": [
                        [
                          "lineageUrn"
                        ]
                      ]
                    }
                  ],
                  "permittedAttributes": [
                    [
                      "itemId",
                      "number",
                      "index",
                      "isRequired",
                      "supplementalAttachments"
                    ]
                  ]
                }
              ],
              "permittedAttributes": [
                "number",
                "title",
                "instructions",
                "index",
                "sectionNumbering",
                "items",
                "itemNumbering"
              ]
            }
          ],
          "allowSectionAssignee": false,
          "permittedActions": [
            "canArchive",
            "canEdit",
            "canCreateChecklist"
          ],
          "permittedAttributes": [
            "title",
            "instruction",
            "templateType",
            "sections"
          ]
        },
        "relationships": {
          "container": {
            "links": {
              "self": "",
              "related": ""
            },
            "meta": {},
            "data": {
              "type": "containers",
              "id": "efca79bd-3865-4e68-88d5-30d982175c7d"
            }
          }
        },
        "links": {
          "self": "",
          "related": ""
        },
        "meta": {
          "totalItems": "",
          "totalSections": "",
          "totalInstances": ""
        }
      }
    }
    
    Show More